package com.yixin.ms.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/7/11 13:39
 * @description:
 */
@AllArgsConstructor
@Getter
public enum HealthVaccineNumEnum {
    /**
     * 0 未接种 对应0针
     *
     * 1-接种完成 对应2针
     *
     * 2-未完全接种 对应1针
     *
     * 3- 完成加强针 对应3针
     */

    UN_VACCINATED("0", "未接种", "0"),
    VACCINATION_COMPLETE("1", "接种完成", "2"),
    INCOMPLETE_INOCULATION("2", "未完全接种", "1"),
    Finishing_reinforcing_needle("3", "完成加强针", "3")
    ;

    /**
     * 疫苗状态标识
     */
    private String status;

    /**
     * 疫苗状态描述
     */
    private String StatusDesc;

    /**
     * 疫苗接种数量
     */
    private String num;
}
